Cisco IoT Field Network Director SOAP API Authorization Bypass Vulnerability (cisco-sa-FND-AUTH-vEypBmmR)

Medium Nessus Plugin ID 143219

New! Vulnerability Priority Rating (VPR)

Tenable calculates a dynamic VPR for every vulnerability. VPR combines vulnerability information with threat intelligence and machine learning algorithms to predict which vulnerabilities are most likely to be exploited in attacks. Read more about what VPR is and how it's different from CVSS.

VPR Score: 6.3

Synopsis

The remote device is missing a vendor-supplied security patch

Description

An authorization bypass vulnerability exists in Cisco IoT Field Network Director (IoT-FND) due to insufficient authorization in the SOAP API. An authenticated, remote attacker can exploit this, via SOAP API requests, to bypass authorization and access and modify information on devices that belong to a different domain.

Note that Nessus has not tested for this issue but has instead relied only on the application's self-reported version number.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug ID CSCvt45167

See Also

http://www.nessus.org/u?048dec85

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvt45167

Plugin Details

Severity: Medium

ID: 143219

File Name: cisco-sa-FND-AUTH-vEypBmmR.nasl

Version: 1.4

Type: remote

Family: CISCO

Published: 2020/11/24

Updated: 2020/12/01

Dependencies: 141061

Risk Information

Risk Factor: Medium

VPR Score: 6.3

CVSS Score Source: CVE-2020-26072

CVSS Score Rationale: Based on vendor advisory

CVSS v2.0

Base Score: 5.5

Temporal Score: 4.1

Vector: CVSS2#AV:N/AC:L/Au:S/C:P/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 8.7

Temporal Score: 7.6

Vector: CVSS:3.0/AV:N/AC:L/PR:H/UI:N/S:C/C:H/I:H/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:iot_field_network_director_(iot-fnd)

Required KB Items: Cisco/IoT Field Network Director/Version

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/11/18

Vulnerability Publication Date: 2020/11/18

Reference Information

CVE: CVE-2020-26072

CISCO-BUG-ID: CSCvt45167

CISCO-SA: cisco-sa-FND-AUTH-vEypBmmR

CWE: 284